curl --request POST \
--url https://{cluster}.voucherify.io/v1/redemptions/{parentRedemptionId}/rollbacks \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"customer": {
"id": "cust_SolpIN5N4oZbCnrxZ5NHrbVB",
"name": "Annie Lemons",
"email": "annie@lemon.com",
"phone": "+1 933 222 3334",
"birthday": "1900-12-02",
"birthdate": "1900-12-01",
"address": {
"city": "New York",
"state": "NY",
"line_1": "123 Main St.",
"line_2": "APT 3 BLG 5",
"country": "United States",
"postal_code": "100012"
},
"metadata": {
"age": 23
}
},
"order": {
"source_id": "test_rollback_8"
},
"metadata": {
"location_id": [
"L2"
]
}
}
'Rollback Stackable Redemptions
Rollback a stackable redemption. When you roll back a stacked redemption, all child redemptions will be rolled back. Provide the parent redemption ID as the path parameter. However, you can use this endpoint to roll back a single redemption that does not have a parent, similarly to POST Rollback redemption.
๐ง You can roll back a redemption up to 3 months back.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/redemptions/{parentRedemptionId}/rollbacks \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"customer": {
"id": "cust_SolpIN5N4oZbCnrxZ5NHrbVB",
"name": "Annie Lemons",
"email": "annie@lemon.com",
"phone": "+1 933 222 3334",
"birthday": "1900-12-02",
"birthdate": "1900-12-01",
"address": {
"city": "New York",
"state": "NY",
"line_1": "123 Main St.",
"line_2": "APT 3 BLG 5",
"country": "United States",
"postal_code": "100012"
},
"metadata": {
"age": 23
}
},
"order": {
"source_id": "test_rollback_8"
},
"metadata": {
"location_id": [
"L2"
]
}
}
'Authorizations
Path Parameters
Unique identifier of a parent redemption, e.g. r_JQfm73zWSJFQxs3bGxweYjgm.
"r_0ba186c4824e4881e1"
Body
Add information about the original customer and order. Customer data and Redemption metadata can be updated in Voucherify when passing the customer data in the request body.
Request body schema for POST v1/redemptions/{parentRedemptionId}/rollbacks.
Reason for the rollback.
Customer's source_id.
Show child attributes
Show child attributes
Order information.
Show child attributes
Show child attributes
A set of key/value pairs that you can send in the request body to update redemption metadata.
Response
Returns an array with the individual redemption rollback results along with the parent rollback result and related order.
Response body schema for POST /redemptions/{parentRedemptionID}/rollbacks.
Contains the rollback redemption objects of the particular incentives.
Show child attributes
Show child attributes
This is an object representing a redemption rollback.
Show child attributes
Show child attributes
Order information.
Show child attributes
Show child attributes
Was this page helpful?

